> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all leases

GET https://api.propexo.com/v1/leases/

Get all leases

Reference: https://docs.propexo.com/api-reference/entrata/leases/get-all-leases

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external lease id
- `x_property_id` (string, optional) — Deprecated: Use the Propexo property_id instead
- `x_unit_id` (string, optional) — Deprecated: Use the Propexo unit_id instead
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `resident_id` (string, optional) — The Propexo unique identifier for the resident. If you use this filter in conjunction with one of the move-in/move-out date filters, it will not be honored and will be overridden by the date filter.
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `before_move_in_date` (string, optional, nullable) — Filter to residents moving in before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.
- `after_move_in_date` (string, optional, nullable) — Filter to residents moving in after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.
- `before_move_out_date` (string, optional, nullable) — Filter to residents moving out before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.
- `after_move_out_date` (string, optional, nullable) — Filter to residents moving out after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.
- `only_null_move_outs` (V1LeasesGetParametersOnlyNullMoveOuts, optional) — Filter to only return leases where the move-out date is null
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `status_normalized` (enum, optional) — The normalized status for the lease
  - Allowed values: `ACTIVE`, `INACTIVE`, `OTHER`, `PENDING`, `EVICTED`
- `status_raw` (string, optional) — The raw status associated with the lease
- `unit_number` (string, optional) — The unit number of the lease. When using this, the Propexo `property_id` filter must be added as well.

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of Lease, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesGetParametersOnlyNullMoveOuts

Filter to only return leases where the move-out date is null

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Lease

- `id` (string, required) — The Propexo unique identifier for the lease
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | leases/getLeases | | artransactions/getLeaseArTransactions |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | |---| | leases/getLeases | | artransactions/getLeaseArTransactions |
- `x_unit_id` (string, required, nullable) — The external ID of the unit from the integration vendor | Method | |---| | leases/getLeases |
- `application_date` (string, required, nullable) — The application date associated with the lease | Method | |---| | leases/getLeases |
- `custom_data` (LeaseCustomData, required, nullable)
- `deposit_amount` (string, required, nullable) — The deposit amount associated with the lease | Method | |---| | leases/getLeases |
- `deposit_amount_in_cents` (double, required, nullable) — The deposit amount in cents associated with the lease | Method | |---| | leases/getLeases |
- `deposit_date` (string, required, nullable) — The deposit date associated with the lease | Method | |---| | leases/getLeases |
- `end_date` (string, required, nullable) — The end date associated with the lease | Method | |---| | leases/getLeases |
- `rent_amount_in_cents` (double, required, nullable) — The rent amount in cents for the leaseYour customers must configure access to the getArCodes API in order to populate rent amounts for Entrata. | Method | | ---------------- | | leases/getLeases |
- `rent_amount_market_in_cents` (any, required) — The market rent amount in cents for the leaseThis field will always be null for ENTRATA
- `rent_due_day` (any, required) — The rent due day associated with the leaseThis field will always be null for ENTRATA
- `rent_due_date` (any, required) — The rent due date associated with the leaseThis field will always be null for ENTRATA
- `signature_date` (string, required, nullable) — The date the lease was signed | Method | |---| | leases/getLeases |
- `start_date` (string, required, nullable) — The start date associated with the lease | Method | |---| | leases/getLeases |
- `status_normalized` (enum, required) — The normalized status for the lease. Note that the status may be called "EVICTED" but this can also refer to an active resident undergoing a current eviction. This varies per PMS. | Method | |---| | leases/getLeases |
  - Allowed values: `ACTIVE`, `INACTIVE`, `OTHER`, `PENDING`, `EVICTED`
- `status_raw` (string, required, nullable) — The raw status associated with the lease | Method | |---| | leases/getLeases |
- `term` (any, required) — The lease termThis field will always be null for ENTRATA
- `type` (string, required, nullable) — The type of lease | Method | |---| | leases/getLeases |
- `unit_number` (string, required, nullable) — The unit number associated with the lease. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases. | Method | |---| | leases/getLeases |
- `write_off_amount_in_cents` (double, required, nullable) — The write off amount for the lease, in centsEntrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter. | Method | | ------------------------------------- | | artransactions/getLeaseArTransactions |
- `write_off_amount_raw` (string, required, nullable) — The raw write off amount of the lease from the PMSEntrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter. | Method | | ------------------------------------- | | artransactions/getLeaseArTransactions |
- `balance_amount_in_cents` (double, required, nullable) — The balance amount for the lease, in centsEntrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter. | Method | | ------------------------------------- | | artransactions/getLeaseArTransactions |
- `balance_amount_raw` (string, required, nullable) — The raw balance amount of the lease from the PMSEntrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter. | Method | | ------------------------------------- | | artransactions/getLeaseArTransactions |
- `past_due_balance_in_cents` (double, required, nullable) — The past due balance for the lease, in centsEntrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter. | Method | | ------------------------------------- | | artransactions/getLeaseArTransactions |
- `past_due_balance_raw` (string, required, nullable) — The raw past due balance of the lease from the PMSEntrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter. | Method | | ------------------------------------- | | artransactions/getLeaseArTransactions |
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit | Method | |---| | leases/getLeases |
- `property_id` (string, required) — The Propexo unique identifier for the property
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `ENTRATA`, `APPFOLIO`, `BUILDIUM`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `services` (list of LeaseServicesItems, required) — List of services related to the lease
- `x_resident_id` (string, required, nullable, deprecated) — Deprecated. Use residents_meta_data instead | Method | |---| | leases/getLeases |
- `realized_move_in_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move in dates | Method | |---| | leases/getLeases |
- `realized_move_out_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move out dates | Method | |---| | leases/getLeases |
- `scheduled_move_in_date` (any, required, deprecated) — DEPRECATED: Please use residents\_meta\_data to view resident move in datesThis field will always be null for ENTRATA
- `scheduled_move_out_date` (any, required, deprecated) — DEPRECATED: Please use residents\_meta\_data to view resident move out datesThis field will always be null for ENTRATA
- `status` (string, required, nullable, deprecated) — DEPRECATED. Use status\_normalizedDeprecated in favor of status\_normalized and status\_raw | Method | | ---------------- | | leases/getLeases |
- `residents_meta_data` (list of LeaseResidentsMetaDataItems, optional) — Known associated resident meta data

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### LeaseCustomData

### LeaseServicesItems

- `id` (string, required) — The Propexo unique identifier for the lease service
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `name` (string, required) — The name of the lease service | Method | |---| | leases/getLeaseDetails |
- `lease_id` (string, required) — The Propexo unique identifier for the lease | Method | |---| | leases/getLeaseDetails |

### LeaseResidentsMetaDataItems

- `resident_id` (string, required) — The Propexo unique identifier for the resident | Method | |---| | leases/getLeases |
- `x_resident_type` (string, required, nullable) — The external type of the resident from the integration vendor | Method | |---| | leases/getLeases |
- `resident_type_normalized` (LeaseResidentsMetaDataItemsResidentTypeNormalized, required, nullable) — Resident type from Propexo | Method | |---| | leases/getLeases |
- `move_in_date` (string, required, nullable) — The move-in date associated with the resident | Method | |---| | leases/getLeases |
- `move_out_date` (string, required, nullable) — The move-out date associated with the resident | Method | |---| | leases/getLeases |
- `notice_date` (any, required) — The date the resident gave noticeThis field will always be null for ENTRATA
- `custom_data` (LeaseResidentsMetaDataItemsCustomData, required, nullable)
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS

### LeaseResidentsMetaDataItemsResidentTypeNormalized

Resident type from Propexo | Method | |---| | leases/getLeases |

### LeaseResidentsMetaDataItemsCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "123456",
      "x_property_id": "property123",
      "x_unit_id": "unit123",
      "application_date": "2023-06-15T00:00:00Z",
      "custom_data": {},
      "deposit_amount": "500.00",
      "deposit_amount_in_cents": 50000,
      "deposit_date": "2023-06-20T00:00:00Z",
      "end_date": "2024-06-15T00:00:00Z",
      "rent_amount_in_cents": 125000,
      "rent_amount_market_in_cents": null,
      "rent_due_day": null,
      "rent_due_date": null,
      "signature_date": "2023-06-10T00:00:00Z",
      "start_date": "2023-06-15T00:00:00Z",
      "status_normalized": "ACTIVE",
      "status_raw": "active",
      "term": null,
      "type": "Residential",
      "unit_number": "43",
      "write_off_amount_in_cents": 105,
      "write_off_amount_raw": "1.05",
      "balance_amount_in_cents": 432280,
      "balance_amount_raw": "4322.8",
      "past_due_balance_in_cents": 432280,
      "past_due_balance_raw": "4322.8",
      "unit_id": "clxkwu2m60008t3oza63zbjzp",
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "ENTRATA",
      "services": [
        {
          "id": "clwktsp9v000008l31iv218hn",
          "created_at": "2024-03-21T15:38:08.337Z",
          "updated_at": "2024-03-22T10:59:45.119Z",
          "last_seen": "2024-03-22T10:59:45.119Z",
          "name": "Funish name option",
          "lease_id": "clxksir9z000e2xozfgbb7nom"
        }
      ],
      "x_resident_id": "string",
      "realized_move_in_date": "string",
      "realized_move_out_date": "string",
      "scheduled_move_in_date": null,
      "scheduled_move_out_date": null,
      "status": "string",
      "residents_meta_data": [
        {
          "resident_id": "clxkwuprj000ct3oz8lbye18s",
          "x_resident_type": "main",
          "resident_type_normalized": "PRIMARY",
          "move_in_date": "2023-06-15T00:00:00Z",
          "move_out_date": "2024-06-15T00:00:00Z",
          "notice_date": null,
          "custom_data": {},
          "last_seen": "2024-03-22T10:59:45.119Z"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/leases/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/leases/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```